Subject: Re: Yggdrasil support

From: Sergey Matveev <[email-masked]>
Date: Wed, 19 Jan 2022 01:13:09 +0300

Greetings!

*** Emery Hemingway [2022-01-17 21:07]:
>The Yggdrasil feature came at an ideal time for me, [...]

Cool! Glad to hear that! Soon there will be an updated version with many
fixes in documentation, slightly more flexible options and ability to
act as real TCP-answering node inside that Yggdrasil network.

>I only started with the Yggdrasil feature today, but sticking with µTP
>sounds fine to me.

I believe that yggmail's author, being also the author of µTP library,
just used it for code simplicity. I do not think it is too overheadful
and harmful for performance, so indeed acceptable. But anyway, my commit
with its replacement is already ready :-). Actually TCP also has
undesirable overhead at least with its CRCs, that are just useless with
Yggdrasil's authenticated encryption, but it is negligible.

>Something worth mentioning is that Yggdrasil network can be crawled and
>the NNCP nodes discovered. The fix to keep NNCP private is to bind the
>daemon to an 300:…/64 address that is routed though Yggdrasil gateway

I think it is applicable only when you run NNCP daemon in "TCP mode" on
that 300/64 network. Yggdrasil-mode does not use /64 subnets feature at
all: just single public key maps to single IPv6 200/7 address. You just
have no option to change address or routing at all.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF